org.icepush

## Class PushConfiguration

- java.lang.Object
- - org.icepush.PushConfiguration

- Direct Known Subclasses:
    PushNotification

      public class PushConfiguration
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushConfiguration()` Constructs a new PushConfiguration.
    `PushConfiguration(java.util.Map<java.lang.String,java.lang.Object> attributes)` Constructs a new PushConfiguration with the specified `attributes`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getAttributes()` Gets the attributes of this PushConfiguration.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PushConfiguration

          public PushConfiguration()

      Constructs a new PushConfiguration.

      See Also:
        `PushConfiguration(java.util.Map<java.lang.String, java.lang.Object>)`

    - #### PushConfiguration

          public PushConfiguration(java.util.Map<java.lang.String,java.lang.Object> attributes)

      Constructs a new PushConfiguration with the specified `attributes`.

      Parameters:
        `attributes` - The attributes of the new PushConfiguration to be constructed.
      See Also:
        `PushConfiguration(java.util.Map<java.lang.String, java.lang.Object>)`

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getAttributes

          public java.util.Map<java.lang.String,java.lang.Object> getAttributes()

      Gets the attributes of this PushConfiguration.

      Returns:
        The attributes.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.